Subject: Re: [bug#37624] Add how to create a runit service in step 5 of binary installation manual

From: Jan Nieuwenhuizen <[email-masked]>
Date: Sat, 05 Oct 2019 09:47:51 +0200

Foxmean writes:

Hello Foxmean,

> I would like to add a patch in
> https://guix.gnu.org/manual/en/html_node/Binary-Installation.html#Binary-Installation
> -> step 5 Run the daemon, and set it to automatically start on boot.

That's great!

> If your host distro uses the Runit system:
>
> <code>
> # mkdir /etc/sv/guix-daemon
> </code>

Okay.  As you will see, <code> is coded as @example ... @end example.

> Then create file /etc/sv/guix-daemon/run with your favorite text editor e.g. emacs.
>
> <code>
> # emacs /etc/sv/guix-daemon/run
> </code>
>
> And add this two line of code in the file.
>
> <code>
> #!/bin/sh
> exec /var/guix/profiles/per-user/root/current-guix/bin/guix-daemon --build-users-group=guixbuild
> </code>

I would suggest you change this bit to resemble the other init systems:
this file to the repository for people to simply cp.  You will have to
replace `/var' directory with the configurable `@localstatedir@'.

> Now, you can enable and start guix-daemon service with:
>
> <code>
> # ln -s /etc/sv/guix-daemon /var/service/ && sv up guix-daemon
> </code>
>
> I would like to add it in etc and the manual at doc/guix.texi updated.
> How can I contribute?

You will need to create a patch to doc/guix.texi.  You first need to
clone the guix git archive.

Have a look at the `Contributing' section in the manual, especially
https://guix.gnu.org/manual/en/html_node/Building-from-Git.html.

Edit doc/guix.texi, check the result by building the manual:

    make info
    <visit doc/guix.info>

For the rest, follow the pattern used for the file

    etc/guix-daemon.service.in

do not forget to add your file to

    etc/local.mk

Commit your changes to git and reply to this bug with your patch.  Feel
free to ask if you have any questions.

Greetings,
janneke

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar® http://AvatarAcademy.com